1. Buyer Personas
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
      GET
    • Get Buyer Persona Details
      GET
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • VisitLocationV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • ICPV1
    • CRMContactV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • CRMLeadV1
    • WebVisitV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • AccountSummaryV1
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • NetworkV1
    • CompanyFinancialsV1
    • SignalV1
    • CompanySummaryV1
    • TagV1
    • ListV1
    • CompanyMatchV1
    • CustomFieldV1
    • ContactV1
    • ContactSummaryV1
    • EnrichedIpV1
    • ApiUsageV1
  1. Buyer Personas

Get Buyer Persona Details

GET
/v1/buyer-personas/{id}
Get the details of a specific buyer persona by ID, including its name, creation timestamp, and the full set of filter criteria that define it.
Credit Note: Retrieving a buyer persona definition does not consume credits.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Success
Body

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠429
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.leadfeeder.com/v1/buyer-personas/7421?account_id=123456' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Success Example
{
    "data": {
        "type": "buyer_persona",
        "id": "7421",
        "attributes": {
            "name": "Sales Managers",
            "created_at": "2024-12-10T15:57:25Z",
            "filters": {
                "department": [
                    {
                        "search_value": "sales",
                        "display_value": "Sales",
                        "negated": false
                    }
                ],
                "job_title": [
                    {
                        "search_value": "Manager",
                        "display_value": "Manager",
                        "negated": false
                    }
                ],
                "seniority": [
                    {
                        "search_value": "director",
                        "display_value": "Director",
                        "negated": false
                    },
                    {
                        "search_value": "vp",
                        "display_value": "VP",
                        "negated": false
                    }
                ],
                "location": [
                    {
                        "search_value": "US",
                        "display_value": "United States",
                        "negated": true
                    }
                ]
            }
        }
    },
    "meta": {
        "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
}
Modified at 2026-05-04 13:48:12
Previous
Retrieve Buyer Personas
Next
Retrieve Ideal Customer Profiles
Built with